# NBTData

class NBTData
Content copied to clipboard

## Constructors

NBTData
Link copied to clipboard
fun NBTData(nbtTagCompound: NBTTagCompound?)
Content copied to clipboard
NBTData
Link copied to clipboard
fun NBTData()
Content copied to clipboard
NBTData
Link copied to clipboard
fun NBTData(nbtString: String)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
get
Link copied to clipboard

This method gets the value at the given key. The returned dataType must be specified. The returned value is null, if it was not possible to find any value at the specified location, or if the type is not the one which was specified.

operator fun <T> get(key: String, dataType: NBTDataType<T>): T?
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
minusAssign
Link copied to clipboard
operator fun minusAssign(key: String)
Content copied to clipboard
remove
Link copied to clipboard

This method removes the given key from the NBTTagCompound. Its value will be lost.

fun remove(key: String)
Content copied to clipboard
serialize
Link copied to clipboard
fun serialize(): String
Content copied to clipboard
set
Link copied to clipboard

This method sets some value at the position of the given key. The dataType of the given value must be specified.

operator fun <T> set(key: String, dataType: NBTDataType<T>, value: T)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

nbtTagCompound
Link copied to clipboard
val nbtTagCompound: NBTTagCompound
Content copied to clipboard